Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Bug in java-openjdk update (OSS 11.0)

  1. #1

    Default Bug in java-openjdk update (OSS 11.0)

    Hello
    I'm running OSS 11.0 x86_64.
    Yesterday after boot-up, I saw there were security updates,
    namely Java-openjdk & Java-openjdk browser plugin
    from
    1.6.0_1.2_b09-9.1-x86_64
    to
    1.6.0_1.4_b14-24.2-x86_64

    These updates fail to install, because of an apparent Yast2 conflict. This is the entry in the conflict.txt file:

    Quote Originally Posted by conflicts.txt
    #### YaST2 conflicts list - generated 2009-03-10 15:05:59 ####

    Solvable java-1_6_0-openjdk-1.4_b14-24.2.x86_64 conflicts with tzdata-java provided by itself

    [ ] do not install java-1_6_0-openjdk-1.4_b14-24.2.x86_64


    Solvable java-1_6_0-openjdk-1.4_b14-24.2.i586 conflicts with tzdata-java provided by itself

    [ ] do not install java-1_6_0-openjdk-plugin-1.4_b14-24.2.x86_64



    #### YaST2 conflicts list END ###
    Please update the repo with corrected packages or advise on a workaround (already tried unistalling both packages and reinstalling the updated versions but that doesn't work Conflicts
    remain...

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Bug in java-openjdk update (OSS 11.0)

    You're more likely to get results if you file a bug report at bugzilla.novell.com. The developers may not see this thread; most of us on this forum are just users.

  3. #3

    Default Re: Bug in java-openjdk update (OSS 11.0)

    will do asap...

  4. #4
    Join Date
    Jun 2008
    Location
    somewhere
    Posts
    69

    Default Re: Bug in java-openjdk update (OSS 11.0)

    johnroberts..

    I just install the openJDK on my oS 11.1 64bits and i'm not getting this error but if the error persists try the Sun version "1.6.u12-1.2.1" with browser plugin 64bits which it's working like a dream in order to not stay without java.

  5. #5

    Default Re: Bug in java-openjdk update (OSS 11.0)

    Has anyone with 32-bit or 64-bit OSS 11.0 seen the same problem?

  6. #6
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Bug in java-openjdk update (OSS 11.0)

    Quote Originally Posted by eroskoller View Post
    johnroberts..

    I just install the openJDK on my oS 11.1 64bits and i'm not getting this error but if the error persists try the Sun version "1.6.u12-1.2.1" with browser plugin 64bits which it's working like a dream in order to not stay without java.
    Well johnroberts is on 11.0. I haven't had any problem on 11.1 but it's entirely possible that there is a problem with the 11.0 update.

  7. #7

    Default Re: Bug in java-openjdk update (OSS 11.0)

    The security update on my 11.1 installed,but the result was a non-working browser plugin. A rollback to 1.2_b11-22.13 fixed the problem.

  8. #8

    Default Re: Bug in java-openjdk update (OSS 11.0)

    At the time of the installation, Sun's plugin was not available in 64-bit. That's why I used the opnjdk. I did a couple of tests Sun's version sometimes fails (I wouldn't call it a dream yet ).
    But the opnjdk patches do need fixing it seems

  9. #9
    Join Date
    Mar 2009
    Posts
    5

    Default Re: Bug in java-openjdk update (OSS 11.0)

    Quote Originally Posted by johnroberts View Post
    Has anyone with 32-bit or 64-bit OSS 11.0 seen the same problem?
    Yes, I have the same problem.
    1.2_b09-9.1 (x86_64) installed, 1.4_b14-24.2 (x86_64) available.

    Best regards,
    Tobias

  10. #10

    Default Re: Bug in java-openjdk update (OSS 11.0)

    For anyone following this on bugzilla we have open bugs
    483916 (bug I filed)
    484044 a bug on zypper that should report the conflicts to user instead of doing nothing...

    As a temporary solution (already proposed above) please use
    SUN's 32/64-bit packages together with respective browser plugin until OpenJDK patches are fixed

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •